// DCF77 Funk-Uhr Signal

#ifndef DCF77_H
#define DCF77_H

#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>


// Inizialisierung
void dcf77_init (void);

// muss im Timer Overflow ausgefhrt werden !!!!!!!
void dcf77_TIMER (void);

// Addiert eine Sekunde
void add_sek (void);

// Auswertung der Bits
void dcf77_bit (void);

// Zeitabgleich
void dcf77_exec(void);

// Zeit/Datum als String ausgeben
char *dcf77_zeit(void);
char *dcf77_datum(void);

#endif

